Skip to main content
GET
/
pullzone
/
{pullZoneId}
/
originshield
/
queuestatistics
Get Origin Shield Queue Statistics
curl --request GET \
  --url https://api.bunny.net/pullzone/{pullZoneId}/originshield/queuestatistics \
  --header 'AccessKey: <api-key>'
{
  "ConcurrentRequestsChart": {},
  "QueuedRequestsChart": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.bunny.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

pullZoneId
integer<int64>
required

(Optional) If set, the statistics will be only returned for the given Pull Zone

Query Parameters

dateFrom
string<date-time> | null

(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.

dateTo
string<date-time> | null

(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.

hourly
boolean
default:false

(Optional) If true, the statistics data will be returned in hourly groupping.

Response

The statistics data for the passed parameters.

ConcurrentRequestsChart
object

The constructed chart of origin shield concurrent requests

QueuedRequestsChart
object

The constructed chart of origin shield requests chart